Es ist ohnehin schon ärgerlich die AusweisApp unter Ubuntu zu benutzen, da man ja den Firefox ESR 17 benötigt (Stand 11.11.2013). Zu diesem Ärger gesellt sich noch die Tatsache, dass das bereitgestellte Ubuntu-Paket nur für 32bit Betriebssysteme zur Verfügung steht. Unter 64bit ist es vorerst nicht zum laufen zu bringen. Folgende Anleitung zeigt, wie es doch geht:

  • Download der AusweisApp

    https://www.ausweisapp.bund.de/pweb/filedownload/download_pre.do


  • Entpacken des deb-Paketes

    dpkg -x AusweisApp_011100_Ubuntu.deb AusweisApp
    dpkg -e AusweisApp_011100_Ubuntu.deb AusweisApp/DEBIAN


  • Debian CONTROL editieren und Architecture von i386 in amd64 ändern

    class="code">chmod 644 AusweisApp/DEBIAN/control
    nano -w AusweisApp/DEBIAN/control


  • Paket wieder zusammenbauen

    dpkg -b AusweisApp/


  • Abhängigkeiten manuell installieren

    sudo aptitude install lib32gcc1 lib32stdc++6 libc6-i386 libasound2:i386 libnspr4:i386 libstdc++5:i386 libx11-6:i386 libxext6:i386 libxi6:i386 libxtst6:i386 libxrender1:i386 libxt6:i386 libglib2.0-0:i386 libgtk2.0-0:i386 libdbus-glib-1-2:i386 gtk2-engines-murrine:i386 gtk2-engines-pixbuf:i386


  • Paket installieren

    sudo dpkg -i AusweisApp.deb


Mit dem ESR-17-Firefox sollte es jetzt ohne Probleme möglich sein die AusweisApp zu benutzen